com.informix.util

## Class JDK12Factory

- java.lang.Object
- - com.informix.util.JDK12Factory

    public class JDK12Factory
    extends java.lang.Object

The object factory for JDK12 specific classes.

### Constructor Summary

Constructors
Constructor and Description
`JDK12Factory()`

### Method Summary

Methods
`static java.util.Map` `CollectionsSyncMap(java.util.Map m)`
`static java.util.Map` `newHashMap(boolean preserveCase)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JDK12Factory

    public JDK12Factory()

### Method Detail

#### newHashMap

    public static java.util.Map newHashMap(boolean preserveCase)
                                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### CollectionsSyncMap

    public static java.util.Map CollectionsSyncMap(java.util.Map m)
                                            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`